<template>
    <b-container>
      <b-card-group columns>
        <div v-for="project in data" :key="project.id">
          <div v-for="group in project.groups" :key="group.id">
            <project-card :title="project.name" :subTitle="group.name" :imageSrc="project.image.link"></project-card>
          </div>
        </div>
      </b-card-group>
    </b-container>
</template>

<script>
// @ is an alias to /src
import ProjectCard from '@/components/ProjectCard.vue';

export default {
  name: "HomeView",
  components: {
    'project-card': ProjectCard
  },
  mounted() {
    this.fetchData();
  },
  data() {
    return {
      data: []
    }
  },
  methods: {
    //add try catch block
    async fetchData() {
      const res = await fetch('projects.json');
      const val = await res.json();
      this.data = val;
      console.log(val);
    }
  }
};
</script>
